# Model with a LENticular inclusion: Zero-offset rays
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required:
 #chk.pl: "model/"   "model.dat"
 #chk.pl: "crt/len/" "len-rec.dat"
 #chk.pl: "crt/len/" "lenz-rpa.dat"
 #chk.pl: "crt/"     "crt.dat"
 #chk.pl: "crt/"     "code.dat"
 #chk.pl: "crt/"     "writ.dat"

# Model and receivers
  MODEL='model.dat'
  REC='len-rec.dat'

# Initial conditions for rays (for details see 'init.for')
  INIDIM=2             # initial surface
  INIPAR=0             # ray parameters = Cartesian coordinates
  INIT='lenz-rpa.dat'  # zero-offset rays (exploding reflector)
  RPAR='lenz-rpa.dat'  # data for two-point ray tracing in the same file

# Data filenames for CRT (for details see 'crt.for')
  DCRT='crt.dat'
  CODE='code.dat'       # just refracted P wave
  WRIT='writ.dat'       # only two-point rays stored in files
  CRTLOG='lenz-log.out'

# Ray tracing of the refracted wave ('crt.for' cannot include 'scropc.for')
  crt: 'lenz-crt.h' /

# Supplementing receivers with the third coordinate
  intf: 'model.dat' 'len-rec.dat' 'len-rec.tmp' 2 3 /

# Rewriting the travel times at the receivers into a formatted file
  crtpts: 'len-rec.tmp' 3* 'lenz-rec.out' 4 0 1 0 /

# ======================================================================

# Temporary files (may be deleted):
# '*.tmp'
# 'r0*.out'
# 's0*.out'

# List of output files with travel times:
# 'lenz-rec.out' File with computed travel times in the model
#                with LENticular inclusion
